Tag: php

Centos – PhpMyAdmin affichant un écran vide lors de l'access

Je viens d'installer PhpMyAdmin, et quand j'essaie d'y accéder, il suffit d'afficher un écran vierge. J'ai soupçonné que c'est parce que j'ai suivi un didacticiel sur la sécurisation de php, alors j'ai réinstallé php pour réinitialiser le file php.ini, mais cela n'a pas résolu le problème … Maintenant, je pense que c'est peut-être à cause […]

Le server MySQL rencontre des connections de haute tension / max

The Short: Nous atteignons les connections maximales et voyons des performances très faibles de MySQL pendant les heures de pointe et ne pouvons pas déterminer s'il s'agit d'un problème de chargement ou d'un problème de configuration. The Long: Pour commencer, voici nos spécifications de server hébergées sur Digital Ocean: Cœurs: 20 Mémoire: total utilisé gratuit […]

Vagrant, Apache et FastCGI utilisent un processeur énorme

Je ne peux pas vraiment comprendre pourquoi il est si lent. Les charges du site sont très lentes. Et vboxheadless atteint plus de 100% de processeur toutes les requêtes. J'utilise la memory 2048 et 1 cpu. Voici moniteur d'activité et top: http://imgur.com/a/j4kqA Voici mon /var/log/error.log: [Mon Apr 25 09:47:45.572752 2016] [mpm_prefork:notice] [pid 20447] AH00169: caught […]

pecl install pecl_http échoue – la mise à niveau vers php7 et http.so pose des problèmes

Problème similaire: pecl_http n'a pas pu charger Je voulais donc passer à PHP7.0 et je croyais que tout allait bien. Mais je pense que je manquais de certains packages de pages, car je n'ai pas pu me connecter à mon propre . J'ai donc voulu installer pecl_http avec: pecl install pecl_http PHP Warning: PHP Startup: […]

Le server est souvent lent à desservir les pages Web et prend longtime à ssh dans

Tout d'abord, je ne suis en aucun cas un professionnel qui gère un server pendant environ deux ans à la maison, alors n'oubliez pas que la cause de mes problèmes peut être très simple et avec une solution simple. Mon problème est le suivant: mon server Ubuntu / Apache2 héberge plusieurs sites et fonctionne, ne […]

500 Erreur: "Fin de la sortie du script avant les en-têtes" – Script simple dans le thème WordPress

J'ai une installation multi-site de WordPress fonctionnant correctement sur un server CentOS non géré, mais pour une certaine fonctionnalité, je dois faire ma propre chose sur certaines pages et interagir manuellement avec certaines tables non WordPress. Lors de la rédaction du script pour les actions de formulaire, j'ai eu une erreur de server interne de […]

WordPress Lien permanent et files php réguliers

J'ai WordPress installé dans le directory racine et configuré correctement à l'aide de permalinks. Parallèlement au blog WordPress, j'ai une application php personnalisée développée personnalisée avec plusieurs pages. Je ne souhaite pas afficher l'extension .php pour l'une des pages personnalisées, mais j'ai maintenant 404 erreurs pour toutes les pages personnalisées de php. http: // url […]

Apache n'émet pas de données POST à ​​PHP?

J'ai écrit un simple programme de command line qui ouvre un browser et publie des données sur une URL donnée. Pour une raison quelconque, une fois que la request arrive sur mon server apache, apache voit datatables de publication, mais ne l'envoie pas à PHP. En essayant de echo var_dump ($ _ POST, true) Je […]

phpMyAdmin reCaptcha error allow_url_fopen = 0

J'ai eu phpMyAdmin en cours d'exécution sur Nginx. J'ai également activé reCaptcha $cfg['CaptchaLoginPublicKey'] = 'secretkey' et $cfg['CaptchaLoginPrivateKey'] = secretkey' . J'ai ajouté ce qui précède à config.inc.php . Comme vous pouvez le voir ci-dessous, j'ai reCaptcha activé. Les keys de security sont correctement saisies. Mais lorsque je me connecte, j'ai les erreurs suivantes: Le captcha […]

Installer PECL v8js sur Debian Jessy

J'essaie d'installer pecl-v8js sur Debian / Jessy pour PHP-5.6. $ apt-get install php5 php5-dev libapache2-mod-php5 apache2 php5-cli libv8-dev g++ cpp … $ pecl install v8js-0.6.3 … checking for V8 version… 3.14.5.8 configure: error: libv8 must be version 4.6.76 or greater ERROR: `/tmp/pear/temp/v8js/configure –with-v8js' failed Comment puis-je mettre à jour libv8 vers le 4.6.76 requirejs?

Les astuces du serveur de linux et windows, tels que ubuntu, centos, apache, nginx, debian et des sujets de réseau.